org.bdgenomics.cannoli.cli

# Minimap2Args

###
Related Doc: package cli

#### class Minimap2Args extends cannoli.Minimap2Args with ADAMSaveAnyArgs with ParquetArgs

Minimap2 command line arguments.

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.Minimap2Args, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Minimap2Args
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. Minimap2Args
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Minimap2Args()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### var addFiles: Boolean

   Definition Classes
     Minimap2Args

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### var asSingleFile: Boolean

   Definition Classes
     Minimap2Args → ADAMSaveAnyArgs

7. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### var compressionCodec: CompressionCodecName

   Definition Classes
     ParquetArgs → ParquetRDDArgs

10. #### var deferMerging: Boolean

    Definition Classes
      Minimap2Args → ADAMSaveAnyArgs

11. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

12. #### var disableFastConcat: Boolean

    Definition Classes
      Minimap2Args → ADAMSaveAnyArgs

13. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### var executable: String

    Definition Classes
      Minimap2Args

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### var image: String

    Definition Classes
      Minimap2Args

21. #### var indexPath: String

    Definition Classes
      Minimap2Args

22. #### var inputPath: String

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### var logLevel: String

    Definition Classes
      ParquetArgs

25. #### var minimap2Args: String

    Definition Classes
      Minimap2Args

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### var outputPath: String

    Definition Classes
      Minimap2Args → SaveArgs

30. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

31. #### var preset: String

    Definition Classes
      Minimap2Args

32. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

33. #### var seed: Integer

    Definition Classes
      Minimap2Args

34. #### var sortFastqOutput: Boolean

    Definition Classes
      Minimap2Args → ADAMSaveAnyArgs

35. #### var stringency: String

36. #### var sudo: Boolean

    Definition Classes
      Minimap2Args

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### var useDocker: Boolean

    Definition Classes
      Minimap2Args

40. #### var useSingularity: Boolean

    Definition Classes
      Minimap2Args

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.Minimap2Args

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped